# navidrome - https://www.navidrome.org/docs/installation/docker/
---
services:
  navidrome:
    container_name: navidrome
    image: deluan/navidrome:latest
    user: 1000:1000 # should be owner of volumes
    ports:
      - "${NAVIDROME_PORT}:4533"
    restart: unless-stopped
    volumes:
      - ${DATA_PATH}:/data
      - music_nfs:/music
    environment:
      ND_PLUGINS_ENABLED: true
      ND_PLUGINS_FOLDER: "/data/plugins"
      ND_PLUGINS_AUTORELOAD: true
      ND_LYRICSPRIORITY: ".lrc,.txt,embedded"
      ND_ENABLEINSIGHTSCOLLECTOR: false

volumes:
    music_nfs:
        name: music_nfs
        driver_opts:
            type: nfs
            o: addr=${NAS_ADDR},nolock,soft,rw
            device: :${MUSIC_PATH}

